"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const cli_utils_1 = require("@ionic/cli-utils");
function getAndroidSdkToolsVersion() {
    return __awaiter(this, void 0, void 0, function* () {
        const androidHome = process.env.ANDROID_HOME;
        if (androidHome) {
            try {
                const f = yield cli_utils_1.fsReadFile(path.join(androidHome, 'tools', 'source.properties'), { encoding: 'utf8' });
                for (let l of f.split('\n')) {
                    const [a, b] = l.split('=');
                    if (a === 'Pkg.Revision') {
                        return b;
                    }
                }
            }
            catch (e) {
                if (e.code !== 'ENOENT') {
                    throw e;
                }
            }
        }
        return undefined;
    });
}
exports.getAndroidSdkToolsVersion = getAndroidSdkToolsVersion;
